> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inext-api.nextshipping.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar processo por Referência

> Retornar o processo por referência



## OpenAPI

````yaml GET /client-api/process
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://inext-api.nextshipping.com.br/
security:
  - x-client-id: []
    x-client-token: []
paths:
  /client-api/process:
    get:
      description: Retornar o processo por referência
      parameters:
        - required: true
          name: ref
          in: query
          description: >-
            Referência do processo. Exemplo: XPTO000001, REF. XPTO000001,
            QWE989.PL, etc.
          schema:
            type: string
      responses:
        '200':
          description: Retorno do GET 200
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Process'
        '401':
          description: Retorno do GET 401
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '404':
          description: Retorno do GET 404
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404'
components:
  schemas:
    Process:
      type: object
      properties:
        processNumber:
          type: string
          description: Número do processo
        clientReference:
          type: string
          description: Referência do cliente
        origin:
          type: string
          description: Origem
        destination:
          type: string
          description: Destino
        estimatedCargoLoad:
          type: string
          format: date-time
          description: Previsão de embarque da carga
        cargoLoad:
          type: string
          format: date-time
          description: Data real de embarque da carga
        estimatedCargoUnload:
          type: string
          format: date-time
          description: Previsão de desembarque da carga
        transportCompany:
          type: string
          description: Transportadora
        cargoType:
          type: string
          description: Tipo de carga
          enum:
            - FCL
            - LCL
        hbls:
          type: array
          items:
            type: object
            properties:
              hblNumber:
                type: string
                description: Número do HBL
              items:
                type: array
                items:
                  type: object
                  properties:
                    identification:
                      type: string
                    seal:
                      type: string
                    packageType:
                      type: string
                    quantity:
                      type: integer
                    grossWeight:
                      type: number
                      format: float
                      description: Peso bruto em kg
        followUps:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              description:
                type: string
              date:
                type: string
                format: date-time
    Error401:
      type: object
      properties:
        error:
          type: string
          description: Unauthorized
        message:
          type: string
          description: Client credentials error
          enum:
            - Missing client credentials
            - Invalid client credentials
        statusCode:
          type: integer
          description: '401'
    Error404:
      type: object
      properties:
        error:
          type: string
          description: Not Found
        message:
          type: string
          description: Process not found
        statusCode:
          type: integer
          description: '404'
  securitySchemes:
    x-client-id:
      type: apiKey
      in: header
      name: x-client-id
    x-client-token:
      type: apiKey
      in: header
      name: x-client-token

````